(: Transformation 'PLM_source_TO_PLM_target_.xqy'... :)

element {doc("./data/PLM_source.xml")/*/name()}
{
    for $article in doc("./data/PLM_source.xml")/PLM/Article
    (: Construction d'un élément (https://www.altova.com/training/xquery3/constructors)... :)
    return element {$article/name()}
    {
        (: Tous les attributes... :)
        for $attribut_de_article in $article/@*
        return 
            (: 'reference' doit rester un attribut contrairement aux autres attributs qui deviennent des éléments :)
            if ($attribut_de_article/name() = "reference")
            then attribute {$attribut_de_article/name()} {data($attribut_de_article)} 
            else
                (: 'PF_ou_MP_ou_Piece_ou_SE' devient un élément avec sous élément :)
                if ($attribut_de_article/name() = "PF_ou_MP_ou_Piece_ou_SE")
                then element {$attribut_de_article/name()}
                {
                    let $attribut_devient_sous_element := data($attribut_de_article)
                    (: Element vide... :)
                    return element {$attribut_devient_sous_element} {}
                }
                else element {$attribut_de_article/name()} {data($attribut_de_article)}
    }
}

